<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="直径">{{ this.para == null || this.para.diameter == null ? '' : this.para.diameter  }}</a-descriptions-item>
              <a-descriptions-item label="刀尖角R">{{  this.para == null || this.para.noseAngleR == null ? '' : this.para.noseAngleR }}</a-descriptions-item>
              <a-descriptions-item label="齿数">{{ this.para == null || this.para.numberOfTeeth == null ? '' : this.para.numberOfTeeth }}</a-descriptions-item>
              <a-descriptions-item label="切削刃长">{{ this.para == null || this.para.edgeLength == null ? '' : this.para.edgeLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具总长">{{ this.para == null || this.para.totalLength == null ? '' : this.para.totalLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具材料">{{ this.para == null || this.para.toolMaterial == null ? '' : this.para.toolMaterial }}</a-descriptions-item>
              <a-descriptions-item label="零件材料">{{ this.para == null || this.para.partMaterial == null ? '' : this.para.partMaterial }}</a-descriptions-item>
              <a-descriptions-item label="是否涂层">{{ this.para == null || this.para.paintcoatFlag == null ? '' : this.para.paintcoatFlag }}</a-descriptions-item>
              <a-descriptions-item label="刀具型式">{{ this.para == null || this.para.toolPattern == null ? '' : this.para.toolPattern }}</a-descriptions-item>
              <a-descriptions-item label="装夹规格">{{ this.para == null || this.para.clampingSpecifications == null ? '' : this.para.clampingSpecifications  }}</a-descriptions-item>
              <a-descriptions-item label="冷却方式">{{ this.para == null || this.para.coolingMethod == null ? '' : this.para.coolingMethod }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件">{{ this.para == null || this.para.technicalConditions == null ? '' : this.para.technicalConditions }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件说明">{{ this.para == null || this.para.conditionsInfo == null ? '' : this.para.conditionsInfo }}</a-descriptions-item>
              <a-descriptions-item label="品牌">{{ this.para == null || this.para.brand == null ? '' : this.para.brand }}</a-descriptions-item>
              <a-descriptions-item label="颈径">{{ this.para == null || this.para.neckDiameter == null ? '' : this.para.neckDiameter }}</a-descriptions-item>
              <a-descriptions-item label="柄部形式">{{ this.para == null || this.para.handleForm == null ? '' : this.para.handleForm }}</a-descriptions-item>
              <a-descriptions-item label="刀尖角C">{{ this.para == null || this.para.noseAngleC == null ? '' : this.para.noseAngleC }}</a-descriptions-item>
              <a-descriptions-item label="刀尖角内R">{{ this.para == null || this.para.angleInsideR == null ? '' : this.para.angleInsideR  }}</a-descriptions-item>
              <a-descriptions-item label="刀具角度">{{ this.para == null || this.para.toolAngle == null ? '' : this.para.toolAngle }}</a-descriptions-item>
              <a-descriptions-item label="最小直径">{{ this.para == null || this.para.smallDiameter == null ? '' : this.para.smallDiameter }}</a-descriptions-item>
              <a-descriptions-item label="柄长">{{ this.para == null || this.para.handleLength == null ? '' : this.para.handleLength }}</a-descriptions-item>
              <a-descriptions-item label="主偏角K">{{ this.para == null || this.para.mainAngleK == null ? '' : this.para.mainAngleK }}</a-descriptions-item>
              <a-descriptions-item label="最大切深">{{ this.para == null || this.para.deepestDepth == null ? '' : this.para.deepestDepth }}</a-descriptions-item>
              <a-descriptions-item label="适配刀片">{{ this.para == null || this.para.adaptBlade == null ? '' : this.para.adaptBlade }}</a-descriptions-item>
              <a-descriptions-item label="柄颈形式">{{ this.para == null || this.para.handleNeckForm == null ? '' : this.para.handleNeckForm }}</a-descriptions-item>
              <a-descriptions-item label="柄颈长度">{{ this.para == null || this.para.handleNeckLength == null ? '' : this.para.handleNeckLength  }}</a-descriptions-item>
              <a-descriptions-item label="接口尺寸规格">{{ this.para == null || this.para.sizeSpecifications == null ? '' : this.para.sizeSpecifications }}</a-descriptions-item>
              <a-descriptions-item label="铣刀头形式">{{ this.para == null || this.para.millingHeadForm == null ? '' : this.para.millingHeadForm }}</a-descriptions-item>
              <a-descriptions-item label="悬伸长度">{{ this.para == null || this.para.overhangingLength == null ? '' : this.para.overhangingLength }}</a-descriptions-item>
              <a-descriptions-item label="切削刃形式">{{ this.para == null || this.para.cuttingEdgeForm == null ? '' : this.para.cuttingEdgeForm }}</a-descriptions-item>
              <a-descriptions-item label="内外纹数">{{ this.para == null || this.para.numberPatterns == null ? '' : this.para.numberPatterns }}</a-descriptions-item>
              <a-descriptions-item label="螺距">{{ this.para == null || this.para.pitch == null ? '' : this.para.pitch }}</a-descriptions-item>
              <a-descriptions-item label="最近加工直径">{{ this.para == null || this.para.recentlyDiameter == null ? '' : this.para.recentlyDiameter }}</a-descriptions-item>
            
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaHoleToolsList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>